Page MenuHomePhabricator

remotenames: add functionality to store remotenames under .hg/hgremotenames/
ClosedPublic

Authored by pulkit on Nov 29 2017, 4:57 PM.

Details

Summary

This patch moves the functionality from remotenames extension to store
remotenames to core.

Storage format used by remotenames extension:

A single file .hg/remotenames with an entry in each line where each line is of
format:
node nametype remotepath/name
where nametype is either 'bookmarks' or 'branches'.

This was not the best way to store data, so while moving to core the storage
format was changed but yet not the final format. The storage format used by core
after this patch will be:

  • A file for each type of name i.e. bookmarks and branches in .hg/remotenames/ directory
  • A version number on the top of the file. The version for current format is 0.
  • An entry in each line where each line is of the format

node\0remotepath\0name

The logic to sync with existing remotenames file and saving journals and other
related things will be moved to core in next patches incrementally.

Thanks to Ryan, Augie and Durham for suggestions on storage format.

Previously reviewed as D939.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Nov 29 2017, 4:57 PM
dlax added a subscriber: dlax.Dec 1 2017, 3:23 AM
durin42 accepted this revision.Dec 5 2017, 5:17 PM
This revision is now accepted and ready to land.Dec 5 2017, 5:17 PM
This revision was automatically updated to reflect the committed changes.